import Image from "next/image";
import { useTranslations } from "next-intl";

import { emailMarketingCompV1Images } from "@/shared/constants/images";
import { translatePathEmailMarketingCompatibilityV1 } from "@/shared/constants/translate";

import { TextWithEmoji } from "..";

import styles from "./FindingPartner.module.scss";

export default function FindingPartner() {
  const t = useTranslations(
    translatePathEmailMarketingCompatibilityV1("Landing")
  );

  return (
    <div className={styles.container}>
      <TextWithEmoji
        text={t("finding-compatible-partner")}
        emoji="revolving-hearts.svg"
        color="white"
      />
      <Image
        className={styles.smartphone}
        src={emailMarketingCompV1Images("smartphone.svg")}
        alt="smartphone"
        width={289}
        height={294}
      />
    </div>
  );
}
